%global bundle ch.jm.osgi.util.bundle
%global with_test 0
Name:          osgi-bundle-utility
Version:       1.0.0
Release:       %mkrel 3
Summary:       OSGi Bundle Utility for Apache Ant
Group:         Development/Java
License:       ASL 2.0
Url:           http://www.jeremias-maerki.ch/development/osgi/bundle-utility.html
Source0:       http://www.jeremias-maerki.ch/download/osgi/ch.jm.osgi.util.bundle-1.0.0-src.zip
Patch0:        osgi-bundle-utility-1.0.0-build.patch
Patch1:        osgi-bundle-utility-1.0.0-junit.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: apache-commons-io
BuildRequires: bcel5.3
BuildRequires: felix-osgi-core
BuildRequires: junit

Requires:      ant

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
The OSGi Bundle Utility is a package that helps you produce OSGi bundles
using Apache Ant. It is designed to serve as an alternative to Peter
Kriens' Bnd. But it does not aim to handle all possible cases. The
idea is to follow the 80:20 rule to ensure ease of use for most use cases.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}

%prep
%setup -q -c

rm -rf lib/*.jar
find . -name '*.class' -exec rm -rf {} \;

%patch0 -p1

%if %with_test
%patch1 -p0
sed -i 's|haltonfailure="true"|haltonfailure="false"|' build-common-module.xml
%endif

%build

%ant jar \
%if %with_test
	test \
%endif
	javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 build/%{bundle}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
ln -s %{name}.jar %{buildroot}%{_javadir}/%{bundle}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr build/javadoc/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{bundle}.jar
%{_javadir}/%{name}.jar
%doc LICENSE.txt NOTICE.txt README.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-3.mga4
+ Revision: 508795
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 362217
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 26 2011 gil <gil> 1.0.0-1.mga2
+ Revision: 158326
- imported package osgi-bundle-utility

